org.apache.olingo.odata2.api.rt

## Class RuntimeDelegate.RuntimeDelegateInstance

- java.lang.Object
- - org.apache.olingo.odata2.api.rt.RuntimeDelegate.RuntimeDelegateInstance

- Enclosing class:
    RuntimeDelegate

      public abstract static class RuntimeDelegate.RuntimeDelegateInstance
      extends Object

  An implementation is available in the core library.
  Do not implement this interface or derive from class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeDelegateInstance()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract BatchChangeSet.BatchChangeSetBuilder` | `createBatchChangeSetBuilder()`
    `protected abstract BatchChangeSetPart.BatchChangeSetPartBuilder` | `createBatchChangeSetRequest()`
    `protected abstract BatchQueryPart.BatchQueryPartBuilder` | `createBatchQueryRequestBuilder()`
    `protected abstract BatchResponsePart.BatchResponsePartBuilder` | `createBatchResponsePartBuilder()`
    `protected abstract Edm` | `createEdm(EdmProvider provider)`
    `protected abstract EdmProvider` | `createEdmProvider(InputStream metadataXml, boolean validate)`
    `protected abstract EntityProvider.EntityProviderInterface` | `createEntityProvider()`
    `abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` | `createExpandSelectTreeNodeBuilder()`
    `protected abstract ODataRequest.ODataRequestBuilder` | `createODataRequestBuilder()`
    `protected abstract ODataResponse.ODataResponseBuilder` | `createODataResponseBuilder()`
    `protected abstract ODataService` | `createODataSingleProcessorService(EdmProvider provider, ODataSingleProcessor processor)`
    `abstract String` | `extractExceptionMessage(ODataMessageException exception)` Extract message of `ODataMessageException` and return it as a string.
    `protected abstract EdmSimpleType` | `getEdmSimpleType(EdmSimpleTypeKind edmSimpleTypeKind)`
    `protected abstract EdmSimpleTypeFacade` | `getSimpleTypeFacade()`
    `protected abstract UriParser` | `getUriParser(Edm edm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeDelegateInstance

          public RuntimeDelegateInstance()

  - ### Method Detail

    - #### createODataResponseBuilder

          protected abstract ODataResponse.ODataResponseBuilder createODataResponseBuilder()

    - #### getEdmSimpleType

          protected abstract EdmSimpleType getEdmSimpleType(EdmSimpleTypeKind edmSimpleTypeKind)

    - #### getUriParser

          protected abstract UriParser getUriParser(Edm edm)

    - #### getSimpleTypeFacade

          protected abstract EdmSimpleTypeFacade getSimpleTypeFacade()

    - #### createEdm

          protected abstract Edm createEdm(EdmProvider provider)

    - #### createEntityProvider

          protected abstract EntityProvider.EntityProviderInterface createEntityProvider()

    - #### createODataSingleProcessorService

          protected abstract ODataService createODataSingleProcessorService(EdmProvider provider,
                                                                            ODataSingleProcessor processor)

    - #### createEdmProvider

          protected abstract EdmProvider createEdmProvider(InputStream metadataXml,
                                                           boolean validate)
                                                    throws EntityProviderException

      Throws:
        `EntityProviderException`

    - #### createBatchResponsePartBuilder

          protected abstract BatchResponsePart.BatchResponsePartBuilder createBatchResponsePartBuilder()

    - #### createODataRequestBuilder

          protected abstract ODataRequest.ODataRequestBuilder createODataRequestBuilder()

    - #### createBatchChangeSetBuilder

          protected abstract BatchChangeSet.BatchChangeSetBuilder createBatchChangeSetBuilder()

    - #### createBatchQueryRequestBuilder

          protected abstract BatchQueryPart.BatchQueryPartBuilder createBatchQueryRequestBuilder()

    - #### createBatchChangeSetRequest

          protected abstract BatchChangeSetPart.BatchChangeSetPartBuilder createBatchChangeSetRequest()

    - #### createExpandSelectTreeNodeBuilder

          public abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder createExpandSelectTreeNodeBuilder()

    - #### extractExceptionMessage

          public abstract String extractExceptionMessage(ODataMessageException exception)

      Extract message of `ODataMessageException` and return it as a string.
      Parameters:
        `exception` - which contains the message references.
      Returns:
        the message of the `ODataMessageException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.